Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBasePrintImage

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBasePrintElement
          net.sf.jasperreports.engine.base.JRBasePrintGraphicElement
              net.sf.jasperreports.engine.base.JRBasePrintImage

All Implemented Interfaces:
  java.io.Serializable, JRAlignment, JRBox, JRBoxContainer, JRCommonElement, JRCommonGraphicElement, JRCommonImage, JRPenContainer, JRPrintAnchor, JRPrintElement, JRPrintGraphicElement, JRPrintHyperlink, JRPrintImage, JRPropertiesHolder, JRStyleContainer

    public class JRBasePrintImage

extends JRBasePrintGraphicElement
implements JRPrintImage

Version:
  $Id: JRBasePrintImage.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `anchorName`
`protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this field.
`protected HorizontalAlignEnum` | `horizontalAlignmentValue`
`protected java.lang.String` | `hyperlinkAnchor`
`protected java.lang.Integer` | `hyperlinkPage`
`protected JRPrintHyperlinkParameters` | `hyperlinkParameters`
`protected java.lang.String` | `hyperlinkReference`
`protected java.lang.String` | `hyperlinkTooltip`
`protected boolean` | `isLazy`
`protected java.lang.Boolean` | `isUsingCache`
`protected JRLineBox` | `lineBox`
`protected java.lang.String` | `linkTarget`
`protected java.lang.String` | `linkType`
`protected OnErrorTypeEnum` | `onErrorTypeValue`
`protected JRRenderable` | `renderer`
`protected ScaleImageEnum` | `scaleImageValue`
`protected VerticalAlignEnum` | `verticalAlignmentValue`

Fields inherited from class net.sf.jasperreports.engine.base.JRBasePrintGraphicElement
`fillValue, linePen`

Fields inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement
`backcolor, defaultStyleProvider, forecolor, height, key, modeValue, origin, style, width, x, y`

Fields inherited from interface net.sf.jasperreports.engine.JRAlignment
`HORIZONTAL_ALIGN_CENTER, HORIZONTAL_ALIGN_JUSTIFIED, HORIZONTAL_ALIGN_LEFT, HORIZONTAL_ALIGN_RIGHT, VERTICAL_ALIGN_BOTTOM, VERTICAL_ALIGN_JUSTIFIED, VERTICAL_ALIGN_MIDDLE, VERTICAL_ALIGN_TOP`

Constructor Summary
`JRBasePrintImage(JRDefaultStyleProvider defaultStyleProvider)`

Method Summary
`
`<T> void`
` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
`void` | `addHyperlinkParameter(JRPrintHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
`void` | `copyBox(JRLineBox lineBox)`
`java.lang.String` | `getAnchorName()`
`int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
`byte` | `getBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getBox()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getBottomPadding()` Deprecated. Replaced by `getBox()`
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`java.lang.Float` | `getDefaultLineWidth()`
`byte` | `getHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
`java.lang.String` | `getHyperlinkAnchor()`
`java.lang.Integer` | `getHyperlinkPage()`
`JRPrintHyperlinkParameters` | `getHyperlinkParameters()` Returns the set of custom hyperlink parameters.
`java.lang.String` | `getHyperlinkReference()`
`byte` | `getHyperlinkTarget()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTargetEnum` | `getHyperlinkTargetValue()`
`java.lang.String` | `getHyperlinkTooltip()` Returns the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`byte` | `getLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getLeftPadding()` Deprecated. Replaced by `getBox()`
`JRLineBox` | `getLineBox()`
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`byte` | `getOnErrorType()` Deprecated. Replaced by `getOnErrorTypeValue()`
`OnErrorTypeEnum` | `getOnErrorTypeValue()`
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnScaleImage()` Deprecated. Replaced by `getOwnScaleImageValue()`.
`ScaleImageEnum` | `getOwnScaleImageValue()` Gets the image own scale type.
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
`int` | `getPadding()` Deprecated. Replaced by `getBox()`
`JRRenderable` | `getRenderer()`
`byte` | `getRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getRightPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getScaleImage()` Deprecated. Replaced by `getScaleImageValue()`.
`ScaleImageEnum` | `getScaleImageValue()` Gets the image scale type.
`byte` | `getTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getTopPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
`boolean` | `isLazy()`
`boolean` | `isUsingCache()`
`void` | `setAnchorName(java.lang.String anchorName)`
`void` | `setBookmarkLevel(int bookmarkLevel)` Sets the boomark level for the anchor.
`void` | `setBorder(byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBox(JRBox box)` Deprecated. Replaced by `copyBox(JRLineBox)`
`void` | `setHorizontalAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(java.lang.Byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)` Sets the text horizontal alignment.
`void` | `setHyperlinkAnchor(java.lang.String hyperlinkAnchor)`
`void` | `setHyperlinkPage(java.lang.Integer hyperlinkPage)`
`void` | `setHyperlinkPage(java.lang.String hyperlinkPage)`
`void` | `setHyperlinkParameters(JRPrintHyperlinkParameters hyperlinkParameters)` Sets the custom hyperlink parameters.
`void` | `setHyperlinkReference(java.lang.String hyperlinkReference)`
`void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
`void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
`void` | `setHyperlinkTooltip(java.lang.String hyperlinkTooltip)` Sets the tooltip to be used for the hyperlink.
`void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.
`void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
`void` | `setLazy(boolean isLazy)`
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLinkTarget(java.lang.String linkTarget)` Sets the hyperlink target name.
`void` | `setLinkType(java.lang.String linkType)` Sets the hyperlink type.
`void` | `setOnErrorType(byte onErrorType)` Deprecated. Replaced by `setOnErrorType(OnErrorTypeEnum)`
`void` | `setOnErrorType(OnErrorTypeEnum onErrorTypeValue)`
`void` | `setPadding(int padding)` Deprecated. Replaced by `getBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getBox()`
`void` | `setRenderer(JRRenderable renderer)`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setScaleImage(byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(java.lang.Byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(ScaleImageEnum scaleImageValue)` Sets the image scale type.
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setUsingCache(boolean isUsingCache)`
`void` | `setVerticalAlignment(byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(java.lang.Byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)` Gets the text vertical alignment.

Methods inherited from class net.sf.jasperreports.engine.base.JRBasePrintGraphicElement
`copyPen, getDefaultLineColor, getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, getOwnPen, getPen, setFill, setFill, setFill, setPen, setPen`

Methods inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement
`getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getMode, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setKey, setMode, setMode, setMode, setOrigin, setStyle, setWidth, setX, setY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement
`getOwnPen, getPen, setFill, setFill, setFill, setPen, setPen`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement
`getHeight, getKey, getOrigin, getWidth, getX, getY, setHeight, setStyle, setWidth, setX, setY`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement
`getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor`

Field Detail

### renderer

    protected JRRenderable renderer

### scaleImageValue

    protected ScaleImageEnum scaleImageValue

### isUsingCache

    protected java.lang.Boolean isUsingCache

### horizontalAlignmentValue

    protected HorizontalAlignEnum horizontalAlignmentValue

### verticalAlignmentValue

    protected VerticalAlignEnum verticalAlignmentValue

### isLazy

    protected boolean isLazy

### onErrorTypeValue

    protected OnErrorTypeEnum onErrorTypeValue

### lineBox

    protected JRLineBox lineBox

### anchorName

    protected java.lang.String anchorName

### linkType

    protected java.lang.String linkType

### linkTarget

    protected java.lang.String linkTarget

### hyperlinkReference

    protected java.lang.String hyperlinkReference

### hyperlinkAnchor

    protected java.lang.String hyperlinkAnchor

### hyperlinkPage

    protected java.lang.Integer hyperlinkPage

### hyperlinkTooltip

    protected java.lang.String hyperlinkTooltip

### hyperlinkParameters

    protected JRPrintHyperlinkParameters hyperlinkParameters

### bookmarkLevel

    protected int bookmarkLevel

  The bookmark level for the anchor associated with this field.

  See Also:
    `JRAnchor.getBookmarkLevel()`

Constructor Detail

### JRBasePrintImage

    public JRBasePrintImage(JRDefaultStyleProvider defaultStyleProvider)

Method Detail

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCommonElement`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRCommonElement`
  Overrides:
    `getModeValue` in class `JRBasePrintElement`

### getRenderer

    public JRRenderable getRenderer()

  Specified by:
    `getRenderer` in interface `JRPrintImage`

### setRenderer

    public void setRenderer(JRRenderable renderer)

  Specified by:
    `setRenderer` in interface `JRPrintImage`

### getScaleImage

    public byte getScaleImage()

  Deprecated. Replaced by `getScaleImageValue()`.

  Specified by:
    `getScaleImage` in interface `JRCommonImage`

### getOwnScaleImage

    public java.lang.Byte getOwnScaleImage()

  Deprecated. Replaced by `getOwnScaleImageValue()`.

  Specified by:
    `getOwnScaleImage` in interface `JRCommonImage`

### setScaleImage

    public void setScaleImage(byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`
  Specified by:
    `setScaleImage` in interface `JRPrintImage`

### setScaleImage

    public void setScaleImage(java.lang.Byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`
  Specified by:
    `setScaleImage` in interface `JRPrintImage`

### getScaleImageValue

    public ScaleImageEnum getScaleImageValue()

  Description copied from interface: `JRCommonImage`
  Gets the image scale type.

  Specified by:
    `getScaleImageValue` in interface `JRCommonImage`
  Returns:
    a value representing one of the scale type constants in `ScaleImageEnum`

### getOwnScaleImageValue

    public ScaleImageEnum getOwnScaleImageValue()

  Description copied from interface: `JRCommonImage`
  Gets the image own scale type.

  Specified by:
    `getOwnScaleImageValue` in interface `JRCommonImage`
  Returns:
    a value representing one of the scale type constants in `ScaleImageEnum`

### setScaleImage

    public void setScaleImage(ScaleImageEnum scaleImageValue)

  Description copied from interface: `JRCommonImage`
  Sets the image scale type.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`
  Specified by:
    `setScaleImage` in interface `JRPrintImage`
  Parameters:
    `scaleImageValue` - a value representing one of the scale type constants in `ScaleImageEnum`

### isUsingCache

    public boolean isUsingCache()

  Specified by:
    `isUsingCache` in interface `JRPrintImage`

### setUsingCache

    public void setUsingCache(boolean isUsingCache)

  Specified by:
    `setUsingCache` in interface `JRPrintImage`

### getHorizontalAlignment

    public byte getHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

  Specified by:
    `getHorizontalAlignment` in interface `JRAlignment`

### getOwnHorizontalAlignment

    public java.lang.Byte getOwnHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

  Specified by:
    `getOwnHorizontalAlignment` in interface `JRAlignment`

### getHorizontalAlignmentValue

    public HorizontalAlignEnum getHorizontalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text horizontal alignment.

  Specified by:
    `getHorizontalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getOwnHorizontalAlignmentValue

    public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

  Specified by:
    `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(java.lang.Byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)

  Description copied from interface: `JRAlignment`
  Sets the text horizontal alignment.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`
  Parameters:
    `horizontalAlignmentValue` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getVerticalAlignment

    public byte getVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

  Specified by:
    `getVerticalAlignment` in interface `JRAlignment`

### getOwnVerticalAlignment

    public java.lang.Byte getOwnVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

  Specified by:
    `getOwnVerticalAlignment` in interface `JRAlignment`

### getVerticalAlignmentValue

    public VerticalAlignEnum getVerticalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `getVerticalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### getOwnVerticalAlignmentValue

    public VerticalAlignEnum getOwnVerticalAlignmentValue()

  Specified by:
    `getOwnVerticalAlignmentValue` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(java.lang.Byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`
  Parameters:
    `verticalAlignmentValue` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### isLazy

    public boolean isLazy()

  Specified by:
    `isLazy` in interface `JRPrintImage`

### setLazy

    public void setLazy(boolean isLazy)

  Specified by:
    `setLazy` in interface `JRPrintImage`

### getOnErrorType

    public byte getOnErrorType()

  Deprecated. Replaced by `getOnErrorTypeValue()`

  Specified by:
    `getOnErrorType` in interface `JRPrintImage`

### setOnErrorType

    public void setOnErrorType(byte onErrorType)

  Deprecated. Replaced by `setOnErrorType(OnErrorTypeEnum)`

  Specified by:
    `setOnErrorType` in interface `JRPrintImage`

### getOnErrorTypeValue

    public OnErrorTypeEnum getOnErrorTypeValue()

  Specified by:
    `getOnErrorTypeValue` in interface `JRPrintImage`

### setOnErrorType

    public void setOnErrorType(OnErrorTypeEnum onErrorTypeValue)

  Specified by:
    `setOnErrorType` in interface `JRPrintImage`

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBox` in interface `JRPrintImage`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### setBox

    public void setBox(JRBox box)

  Deprecated. Replaced by `copyBox(JRLineBox)`

  Specified by:
    `setBox` in interface `JRPrintImage`

### copyBox

    public void copyBox(JRLineBox lineBox)

### getDefaultLineWidth

    public java.lang.Float getDefaultLineWidth()

  Specified by:
    `getDefaultLineWidth` in interface `JRPenContainer`
  Overrides:
    `getDefaultLineWidth` in class `JRBasePrintGraphicElement`

### getAnchorName

    public java.lang.String getAnchorName()

  Specified by:
    `getAnchorName` in interface `JRPrintAnchor`

### setAnchorName

    public void setAnchorName(java.lang.String anchorName)

  Specified by:
    `setAnchorName` in interface `JRPrintAnchor`

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkType` in interface `JRPrintHyperlink`

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Description copied from interface: `JRPrintHyperlink`
  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Specified by:
    `getHyperlinkTypeValue` in interface `JRPrintHyperlink`
  Returns:
    one of the hyperlink type constants
  See Also:
    `JRPrintHyperlink.getLinkType()`

### setHyperlinkType

    public void setHyperlinkType(byte hyperlinkType)

  Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.

  Specified by:
    `setHyperlinkType` in interface `JRPrintHyperlink`

### setHyperlinkType

    public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

  Description copied from interface: `JRPrintHyperlink`
  Sets the link type as a built-in hyperlink type.

  Specified by:
    `setHyperlinkType` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkType` - the built-in hyperlink type
  See Also:
    `JRPrintHyperlink.getLinkType()`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkTarget` in interface `JRPrintHyperlink`

### getHyperlinkTargetValue

    public HyperlinkTargetEnum getHyperlinkTargetValue()

  Specified by:
    `getHyperlinkTargetValue` in interface `JRPrintHyperlink`

### setHyperlinkTarget

    public void setHyperlinkTarget(byte hyperlinkTarget)

  Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

  Specified by:
    `setHyperlinkTarget` in interface `JRPrintHyperlink`

### setHyperlinkTarget

    public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

  Specified by:
    `setHyperlinkTarget` in interface `JRPrintHyperlink`

### getHyperlinkReference

    public java.lang.String getHyperlinkReference()

  Specified by:
    `getHyperlinkReference` in interface `JRPrintHyperlink`

### setHyperlinkReference

    public void setHyperlinkReference(java.lang.String hyperlinkReference)

  Specified by:
    `setHyperlinkReference` in interface `JRPrintHyperlink`

### getHyperlinkAnchor

    public java.lang.String getHyperlinkAnchor()

  Specified by:
    `getHyperlinkAnchor` in interface `JRPrintHyperlink`

### setHyperlinkAnchor

    public void setHyperlinkAnchor(java.lang.String hyperlinkAnchor)

  Specified by:
    `setHyperlinkAnchor` in interface `JRPrintHyperlink`

### getHyperlinkPage

    public java.lang.Integer getHyperlinkPage()

  Specified by:
    `getHyperlinkPage` in interface `JRPrintHyperlink`

### setHyperlinkPage

    public void setHyperlinkPage(java.lang.Integer hyperlinkPage)

  Specified by:
    `setHyperlinkPage` in interface `JRPrintHyperlink`

### setHyperlinkPage

    public void setHyperlinkPage(java.lang.String hyperlinkPage)

### getBookmarkLevel

    public int getBookmarkLevel()

  Description copied from interface: `JRPrintAnchor`
  Returns the level of the bookmark corresponding to the anchor.

  Specified by:
    `getBookmarkLevel` in interface `JRPrintAnchor`
  Returns:
    the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

### setBookmarkLevel

    public void setBookmarkLevel(int bookmarkLevel)

  Description copied from interface: `JRPrintAnchor`
  Sets the boomark level for the anchor.

  Specified by:
    `setBookmarkLevel` in interface `JRPrintAnchor`
  Parameters:
    `bookmarkLevel` - the bookmark level (starting from 1) or `NO_BOOKMARK` if no bookmark should be created

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### getHyperlinkParameters

    public JRPrintHyperlinkParameters getHyperlinkParameters()

  Description copied from interface: `JRPrintHyperlink`
  Returns the set of custom hyperlink parameters.

  Specified by:
    `getHyperlinkParameters` in interface `JRPrintHyperlink`
  Returns:
    the set of custom hyperlink parameters
  See Also:
    `JRPrintHyperlink.setHyperlinkParameters(JRPrintHyperlinkParameters)`, `JRPrintHyperlinkParameter`

### setHyperlinkParameters

    public void setHyperlinkParameters(JRPrintHyperlinkParameters hyperlinkParameters)

  Description copied from interface: `JRPrintHyperlink`
  Sets the custom hyperlink parameters.

  These parameters will be used to produce the actual hyperlink when the report is exported.

  Specified by:
    `setHyperlinkParameters` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkParameters` - the set of custom hyperlink parameters

### addHyperlinkParameter

    public void addHyperlinkParameter(JRPrintHyperlinkParameter parameter)

  Adds a custom hyperlink parameter.

  Parameters:
    `parameter` - the parameter to add
  See Also:
    `getHyperlinkParameters()`, `JRPrintHyperlinkParameters.addParameter(JRPrintHyperlinkParameter)`

### getLinkType

    public java.lang.String getLinkType()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink type.

  Specified by:
    `getLinkType` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink type

### setLinkType

    public void setLinkType(java.lang.String linkType)

  Description copied from interface: `JRPrintHyperlink`
  Sets the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Specified by:
    `setLinkType` in interface `JRPrintHyperlink`
  Parameters:
    `linkType` - the hyperlink type

### getLinkTarget

    public java.lang.String getLinkTarget()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `getLinkTarget` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink type

### setLinkTarget

    public void setLinkTarget(java.lang.String linkTarget)

  Description copied from interface: `JRPrintHyperlink`
  Sets the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `setLinkTarget` in interface `JRPrintHyperlink`
  Parameters:
    `linkTarget` - the hyperlink target name

### getHyperlinkTooltip

    public java.lang.String getHyperlinkTooltip()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink tooltip.

  Specified by:
    `getHyperlinkTooltip` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink tooltip

### setHyperlinkTooltip

    public void setHyperlinkTooltip(java.lang.String hyperlinkTooltip)

  Description copied from interface: `JRPrintHyperlink`
  Sets the tooltip to be used for the hyperlink.

  Specified by:
    `setHyperlinkTooltip` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkTooltip` - the tooltip

### accept

    public <T> void accept(PrintElementVisitor<T> visitor,
                           T arg)

  Description copied from interface: `JRPrintElement`
  Accepts a print element visitor.

  The element calls the method that corresponds to the element type on the visitor.

  Specified by:
    `accept` in interface `JRPrintElement`
  Overrides:
    `accept` in class `JRBasePrintElement`
  Type Parameters:
    `T` - the type of the argument passed to the visit operation
  Parameters:
    `visitor` - the visitor objects
    `arg` - the argument passed to the visit operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com